#include<bits/stdc++.h>
using namespace std;
char transforming(char b,int m){
    m%=26;
    if(m<0){
        m=m+26;
    }
    if(b<='z'&&b>='a'){
        b-='a';
        b+=m;
        b%=26;
        b+='a';
    }
    if(b<='Z'&&b>='A'){
        b-='A';
        b+=m;
        b%=26;
        b+='A';
    }
    return b;
}
int main(){
    char a[100000000];
    int n,m;
    cin.getline(a,100000000);
    cin>>n;
    n*=-1;
    m=strlen(a);
    for(int i=0;i<m;i++){
        cout<<transforming(a[i],n);
    }
    return 0;
}
